/* 
 * Mach Operating System
 * Copyright (c) 1989 Carnegie-Mellon University
 * Copyright (c) 1988 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */
/*
 * HISTORY
 * $Log:	vmparam.h,v $
 * Revision 2.4  92/03/04  15:00:33  rpd
 * 	Removed default/maximum text, data, stack sizes.
 * 	[92/03/04            rpd]
 * 
 * Revision 2.3  90/05/29  20:23:59  rwd
 * 	Put shared region below emulator for now.
 * 	[90/05/22            rwd]
 * 
 * Revision 2.2  90/05/21  13:54:25  dbg
 * 	Altered for u*x server/emulator.  Changed USRTEXT to the value
 * 	actually used.
 * 	[90/03/14            dbg]
 * 
 * Revision 1.4  89/03/09  20:04:34  rpd
 * 	More cleanup.
 * 
 * Revision 1.3  89/02/26  12:35:12  gm0w
 * 	Changes for cleanup.
 * 
 * 31-Dec-88  Robert Baron (rvb) at Carnegie-Mellon University
 *	Derived from MACH2.0 vax release.
 *	A lot of trash could be flushed from this file.
 *
 * 30-Sep-87  Richard Sanzi (sanzi) at Carnegie-Mellon University
 *	Added definition SIGCODE_SIZE to kernel only clause.
 *
 */ 
/*
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)vmparam.h	7.1 (Berkeley) 6/5/86
 */

#ifndef	_I386_VMPARAM_H_
#define	_I386_VMPARAM_H_

/*
 * Machine dependent constants for I386
 */

#include <mach/i386/vm_param.h>

/*
 * Base address for U*X system call emulator.
 */
#define	EMULATOR_BASE	0xa0000000
#define	EMULATOR_END	0xa0040000
				/* 256 Kbytes */

/*
 * Define base for user mapped files
 */

#define MAP_FILE_BASE	0x90000000

/*
 * i386 stack sits above emulator.
 */
#define	EMULATOR_ABOVE_STACK	0

/*
 * USRTEXT is the start of the user text/data space, while USRSTACK
 * is the top (end) of the user stack.  LOWPAGES and HIGHPAGES are
 * the number of pages from the beginning of the P0 region to the
 * beginning of the text and from the beginning of the P1 region to the
 * beginning of the stack respectively.
 */
#define USRTEXT		0x10000

#define USRSTACK	(0xc0000000-sizeof(int [5]))	/* must agree with sigcode above */

#endif	_I386_VMPARAM_H_
