#ifndef	_env_mgr_user_
#define	_env_mgr_user_

/* Module env_mgr */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <servers/emdefs.h>

/* Routine env_set_string */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_set_string
#if	defined(LINTLIBRARY)
    (port, env_name, env_val)
	mach_port_t port;
	env_name_t env_name;
	env_str_val_t env_val;
{ return env_set_string(port, env_name, env_val); }
#else
(
	mach_port_t port,
	env_name_t env_name,
	env_str_val_t env_val
);
#endif

/* Routine env_get_string */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_get_string
#if	defined(LINTLIBRARY)
    (port, env_name, env_val)
	mach_port_t port;
	env_name_t env_name;
	env_str_val_t env_val;
{ return env_get_string(port, env_name, env_val); }
#else
(
	mach_port_t port,
	env_name_t env_name,
	env_str_val_t env_val
);
#endif

/* Routine env_del_string */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_del_string
#if	defined(LINTLIBRARY)
    (port, env_name)
	mach_port_t port;
	env_name_t env_name;
{ return env_del_string(port, env_name); }
#else
(
	mach_port_t port,
	env_name_t env_name
);
#endif

/* Routine env_set_port */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_set_port
#if	defined(LINTLIBRARY)
    (port, env_name, env_val)
	mach_port_t port;
	env_name_t env_name;
	mach_port_t env_val;
{ return env_set_port(port, env_name, env_val); }
#else
(
	mach_port_t port,
	env_name_t env_name,
	mach_port_t env_val
);
#endif

/* Routine env_get_port */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_get_port
#if	defined(LINTLIBRARY)
    (port, env_name, env_val)
	mach_port_t port;
	env_name_t env_name;
	mach_port_t *env_val;
{ return env_get_port(port, env_name, env_val); }
#else
(
	mach_port_t port,
	env_name_t env_name,
	mach_port_t *env_val
);
#endif

/* Routine env_del_port */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_del_port
#if	defined(LINTLIBRARY)
    (port, env_name)
	mach_port_t port;
	env_name_t env_name;
{ return env_del_port(port, env_name); }
#else
(
	mach_port_t port,
	env_name_t env_name
);
#endif

/* Routine env_list_strings */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_list_strings
#if	defined(LINTLIBRARY)
    (port, env_names, env_namesCnt, env_string_vals, env_string_valsCnt)
	mach_port_t port;
	env_name_list *env_names;
	mach_msg_type_number_t *env_namesCnt;
	env_str_list *env_string_vals;
	mach_msg_type_number_t *env_string_valsCnt;
{ return env_list_strings(port, env_names, env_namesCnt, env_string_vals, env_string_valsCnt); }
#else
(
	mach_port_t port,
	env_name_list *env_names,
	mach_msg_type_number_t *env_namesCnt,
	env_str_list *env_string_vals,
	mach_msg_type_number_t *env_string_valsCnt
);
#endif

/* Routine env_list_ports */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_list_ports
#if	defined(LINTLIBRARY)
    (port, env_names, env_namesCnt, env_port_vals, env_port_valsCnt)
	mach_port_t port;
	env_name_list *env_names;
	mach_msg_type_number_t *env_namesCnt;
	mach_port_array_t *env_port_vals;
	mach_msg_type_number_t *env_port_valsCnt;
{ return env_list_ports(port, env_names, env_namesCnt, env_port_vals, env_port_valsCnt); }
#else
(
	mach_port_t port,
	env_name_list *env_names,
	mach_msg_type_number_t *env_namesCnt,
	mach_port_array_t *env_port_vals,
	mach_msg_type_number_t *env_port_valsCnt
);
#endif

/* Routine env_set_stlist */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_set_stlist
#if	defined(LINTLIBRARY)
    (port, env_names, env_namesCnt, env_string_vals, env_string_valsCnt)
	mach_port_t port;
	env_name_list env_names;
	mach_msg_type_number_t env_namesCnt;
	env_str_list env_string_vals;
	mach_msg_type_number_t env_string_valsCnt;
{ return env_set_stlist(port, env_names, env_namesCnt, env_string_vals, env_string_valsCnt); }
#else
(
	mach_port_t port,
	env_name_list env_names,
	mach_msg_type_number_t env_namesCnt,
	env_str_list env_string_vals,
	mach_msg_type_number_t env_string_valsCnt
);
#endif

/* Routine env_set_ptlist */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_set_ptlist
#if	defined(LINTLIBRARY)
    (port, env_names, env_namesCnt, env_port_vals, env_port_valsCnt)
	mach_port_t port;
	env_name_list env_names;
	mach_msg_type_number_t env_namesCnt;
	mach_port_array_t env_port_vals;
	mach_msg_type_number_t env_port_valsCnt;
{ return env_set_ptlist(port, env_names, env_namesCnt, env_port_vals, env_port_valsCnt); }
#else
(
	mach_port_t port,
	env_name_list env_names,
	mach_msg_type_number_t env_namesCnt,
	mach_port_array_t env_port_vals,
	mach_msg_type_number_t env_port_valsCnt
);
#endif

/* Routine env_copy_conn */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_copy_conn
#if	defined(LINTLIBRARY)
    (port, new_env_port)
	mach_port_t port;
	mach_port_t *new_env_port;
{ return env_copy_conn(port, new_env_port); }
#else
(
	mach_port_t port,
	mach_port_t *new_env_port
);
#endif

/* Routine env_new_conn */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_new_conn
#if	defined(LINTLIBRARY)
    (port, new_env_port)
	mach_port_t port;
	mach_port_t *new_env_port;
{ return env_new_conn(port, new_env_port); }
#else
(
	mach_port_t port,
	mach_port_t *new_env_port
);
#endif

/* Routine env_restrict_conn */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_restrict_conn
#if	defined(LINTLIBRARY)
    (port, new_env_port)
	mach_port_t port;
	mach_port_t *new_env_port;
{ return env_restrict_conn(port, new_env_port); }
#else
(
	mach_port_t port,
	mach_port_t *new_env_port
);
#endif

/* Routine env_disconnect */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t env_disconnect
#if	defined(LINTLIBRARY)
    (port)
	mach_port_t port;
{ return env_disconnect(port); }
#else
(
	mach_port_t port
);
#endif

#endif	/* not defined(_env_mgr_user_) */
