#ifndef	_bsd_1_user_
#define	_bsd_1_user_

/* Module bsd_1 */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <mach/mach_types.h>
#include <uxkern/bsd_types.h>

/* Routine bsd_execve */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_execve
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, cfname, cfarg, entry, entryCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	cfname_t cfname;
	cfname_t cfarg;
	entry_array entry;
	mach_msg_type_number_t *entryCnt;
{ return bsd_execve(proc_port, interrupt, fname, fnameCnt, cfname, cfarg, entry, entryCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	cfname_t cfname,
	cfname_t cfarg,
	entry_array entry,
	mach_msg_type_number_t *entryCnt
);
#endif

/* Routine bsd_fork */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_fork
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, new_state, new_stateCnt, child_pid)
	mach_port_t proc_port;
	boolean_t *interrupt;
	thread_state_t new_state;
	mach_msg_type_number_t new_stateCnt;
	int *child_pid;
{ return bsd_fork(proc_port, interrupt, new_state, new_stateCnt, child_pid); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	thread_state_t new_state,
	mach_msg_type_number_t new_stateCnt,
	int *child_pid
);
#endif

/* Routine bsd_take_signal */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_take_signal
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, old_mask, old_onstack, sig, code, handler, new_sp)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int *old_mask;
	int *old_onstack;
	int *sig;
	int *code;
	vm_offset_t *handler;
	vm_offset_t *new_sp;
{ return bsd_take_signal(proc_port, interrupt, old_mask, old_onstack, sig, code, handler, new_sp); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int *old_mask,
	int *old_onstack,
	int *sig,
	int *code,
	vm_offset_t *handler,
	vm_offset_t *new_sp
);
#endif

/* Routine bsd_sigreturn */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_sigreturn
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, old_on_stack, old_sigmask)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int old_on_stack;
	int old_sigmask;
{ return bsd_sigreturn(proc_port, interrupt, old_on_stack, old_sigmask); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int old_on_stack,
	int old_sigmask
);
#endif

/* Routine bsd_getrusage */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_getrusage
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, which, rusage)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int which;
	rusage_t *rusage;
{ return bsd_getrusage(proc_port, interrupt, which, rusage); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int which,
	rusage_t *rusage
);
#endif

/* Routine bsd_chdir */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_chdir
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
{ return bsd_chdir(proc_port, interrupt, fname, fnameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt
);
#endif

/* Routine bsd_chroot */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_chroot
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
{ return bsd_chroot(proc_port, interrupt, fname, fnameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt
);
#endif

/* Routine bsd_open */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_open
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, mode, crtmode, fileno)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	int mode;
	int crtmode;
	int *fileno;
{ return bsd_open(proc_port, interrupt, fname, fnameCnt, mode, crtmode, fileno); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	int mode,
	int crtmode,
	int *fileno
);
#endif

/* Routine bsd_creat */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_creat
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, fmode, fileno)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	int fmode;
	int *fileno;
{ return bsd_creat(proc_port, interrupt, fname, fnameCnt, fmode, fileno); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	int fmode,
	int *fileno
);
#endif

/* Routine bsd_mknod */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_mknod
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, fmode, dev)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	int fmode;
	int dev;
{ return bsd_mknod(proc_port, interrupt, fname, fnameCnt, fmode, dev); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	int fmode,
	int dev
);
#endif

/* Routine bsd_link */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_link
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, target, targetCnt, linkname, linknameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t target;
	mach_msg_type_number_t targetCnt;
	path_name_t linkname;
	mach_msg_type_number_t linknameCnt;
{ return bsd_link(proc_port, interrupt, target, targetCnt, linkname, linknameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t target,
	mach_msg_type_number_t targetCnt,
	path_name_t linkname,
	mach_msg_type_number_t linknameCnt
);
#endif

/* Routine bsd_symlink */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_symlink
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, target, targetCnt, linkname, linknameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t target;
	mach_msg_type_number_t targetCnt;
	path_name_t linkname;
	mach_msg_type_number_t linknameCnt;
{ return bsd_symlink(proc_port, interrupt, target, targetCnt, linkname, linknameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t target,
	mach_msg_type_number_t targetCnt,
	path_name_t linkname,
	mach_msg_type_number_t linknameCnt
);
#endif

/* Routine bsd_unlink */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_unlink
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
{ return bsd_unlink(proc_port, interrupt, fname, fnameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt
);
#endif

/* Routine bsd_access */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_access
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, fmode)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	int fmode;
{ return bsd_access(proc_port, interrupt, fname, fnameCnt, fmode); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	int fmode
);
#endif

/* Routine bsd_stat */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_stat
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, follow, name, nameCnt, stat)
	mach_port_t proc_port;
	boolean_t *interrupt;
	boolean_t follow;
	path_name_t name;
	mach_msg_type_number_t nameCnt;
	statb_t *stat;
{ return bsd_stat(proc_port, interrupt, follow, name, nameCnt, stat); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	boolean_t follow,
	path_name_t name,
	mach_msg_type_number_t nameCnt,
	statb_t *stat
);
#endif

/* Routine bsd_readlink */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_readlink
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, name, nameCnt, count, buf, bufCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t name;
	mach_msg_type_number_t nameCnt;
	int count;
	small_char_array buf;
	mach_msg_type_number_t *bufCnt;
{ return bsd_readlink(proc_port, interrupt, name, nameCnt, count, buf, bufCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t name,
	mach_msg_type_number_t nameCnt,
	int count,
	small_char_array buf,
	mach_msg_type_number_t *bufCnt
);
#endif

/* Routine bsd_chmod */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_chmod
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, fmode)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	int fmode;
{ return bsd_chmod(proc_port, interrupt, fname, fnameCnt, fmode); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	int fmode
);
#endif

/* Routine bsd_chown */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_chown
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, uid, gid)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	int uid;
	int gid;
{ return bsd_chown(proc_port, interrupt, fname, fnameCnt, uid, gid); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	int uid,
	int gid
);
#endif

/* Routine bsd_utimes */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_utimes
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, times)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	timeval_2_t times;
{ return bsd_utimes(proc_port, interrupt, fname, fnameCnt, times); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	timeval_2_t times
);
#endif

/* Routine bsd_truncate */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_truncate
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, length)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	int length;
{ return bsd_truncate(proc_port, interrupt, fname, fnameCnt, length); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	int length
);
#endif

/* Routine bsd_rename */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_rename
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, from_name, from_nameCnt, to_name, to_nameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t from_name;
	mach_msg_type_number_t from_nameCnt;
	path_name_t to_name;
	mach_msg_type_number_t to_nameCnt;
{ return bsd_rename(proc_port, interrupt, from_name, from_nameCnt, to_name, to_nameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t from_name,
	mach_msg_type_number_t from_nameCnt,
	path_name_t to_name,
	mach_msg_type_number_t to_nameCnt
);
#endif

/* Routine bsd_mkdir */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_mkdir
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, name, nameCnt, dmode)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t name;
	mach_msg_type_number_t nameCnt;
	int dmode;
{ return bsd_mkdir(proc_port, interrupt, name, nameCnt, dmode); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t name,
	mach_msg_type_number_t nameCnt,
	int dmode
);
#endif

/* Routine bsd_rmdir */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_rmdir
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, name, nameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t name;
	mach_msg_type_number_t nameCnt;
{ return bsd_rmdir(proc_port, interrupt, name, nameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t name,
	mach_msg_type_number_t nameCnt
);
#endif

/* Routine bsd_xutimes */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_xutimes
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fname, fnameCnt, times)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
	timeval_3_t times;
{ return bsd_xutimes(proc_port, interrupt, fname, fnameCnt, times); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt,
	timeval_3_t times
);
#endif

/* Routine bsd_mount */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_mount
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fspec, fspecCnt, freg, fregCnt, ronly)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fspec;
	mach_msg_type_number_t fspecCnt;
	path_name_t freg;
	mach_msg_type_number_t fregCnt;
	int ronly;
{ return bsd_mount(proc_port, interrupt, fspec, fspecCnt, freg, fregCnt, ronly); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fspec,
	mach_msg_type_number_t fspecCnt,
	path_name_t freg,
	mach_msg_type_number_t fregCnt,
	int ronly
);
#endif

/* Routine bsd_umount */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_umount
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fspec, fspecCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fspec;
	mach_msg_type_number_t fspecCnt;
{ return bsd_umount(proc_port, interrupt, fspec, fspecCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fspec,
	mach_msg_type_number_t fspecCnt
);
#endif

/* Routine bsd_acct */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_acct
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, acct_on, fname, fnameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	boolean_t acct_on;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
{ return bsd_acct(proc_port, interrupt, acct_on, fname, fnameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	boolean_t acct_on,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt
);
#endif

/* Routine bsd_setquota */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_setquota
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fblk, fblkCnt, fname, fnameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t fblk;
	mach_msg_type_number_t fblkCnt;
	path_name_t fname;
	mach_msg_type_number_t fnameCnt;
{ return bsd_setquota(proc_port, interrupt, fblk, fblkCnt, fname, fnameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t fblk,
	mach_msg_type_number_t fblkCnt,
	path_name_t fname,
	mach_msg_type_number_t fnameCnt
);
#endif

/* Routine bsd_write_short */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_write_short
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno, data, dataCnt, amount_written)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
	small_char_array data;
	mach_msg_type_number_t dataCnt;
	int *amount_written;
{ return bsd_write_short(proc_port, interrupt, fileno, data, dataCnt, amount_written); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno,
	small_char_array data,
	mach_msg_type_number_t dataCnt,
	int *amount_written
);
#endif

/* Routine bsd_write_long */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_write_long
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno, data, dataCnt, amount_written)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
	char_array data;
	mach_msg_type_number_t dataCnt;
	int *amount_written;
{ return bsd_write_long(proc_port, interrupt, fileno, data, dataCnt, amount_written); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno,
	char_array data,
	mach_msg_type_number_t dataCnt,
	int *amount_written
);
#endif

/* Routine bsd_send_short */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_send_short
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno, flags, data, dataCnt, amount_written)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
	int flags;
	small_char_array data;
	mach_msg_type_number_t dataCnt;
	int *amount_written;
{ return bsd_send_short(proc_port, interrupt, fileno, flags, data, dataCnt, amount_written); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno,
	int flags,
	small_char_array data,
	mach_msg_type_number_t dataCnt,
	int *amount_written
);
#endif

/* Routine bsd_send_long */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_send_long
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno, flags, data, dataCnt, amount_written)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
	int flags;
	char_array data;
	mach_msg_type_number_t dataCnt;
	int *amount_written;
{ return bsd_send_long(proc_port, interrupt, fileno, flags, data, dataCnt, amount_written); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno,
	int flags,
	char_array data,
	mach_msg_type_number_t dataCnt,
	int *amount_written
);
#endif

/* Routine bsd_sendto_short */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_sendto_short
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno, flags, to, toCnt, data, dataCnt, amount_written)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
	int flags;
	sockarg_t to;
	mach_msg_type_number_t toCnt;
	small_char_array data;
	mach_msg_type_number_t dataCnt;
	int *amount_written;
{ return bsd_sendto_short(proc_port, interrupt, fileno, flags, to, toCnt, data, dataCnt, amount_written); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno,
	int flags,
	sockarg_t to,
	mach_msg_type_number_t toCnt,
	small_char_array data,
	mach_msg_type_number_t dataCnt,
	int *amount_written
);
#endif

/* Routine bsd_sendto_long */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_sendto_long
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno, flags, to, toCnt, data, dataCnt, amount_written)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
	int flags;
	sockarg_t to;
	mach_msg_type_number_t toCnt;
	char_array data;
	mach_msg_type_number_t dataCnt;
	int *amount_written;
{ return bsd_sendto_long(proc_port, interrupt, fileno, flags, to, toCnt, data, dataCnt, amount_written); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno,
	int flags,
	sockarg_t to,
	mach_msg_type_number_t toCnt,
	char_array data,
	mach_msg_type_number_t dataCnt,
	int *amount_written
);
#endif

/* Routine bsd_select */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_select
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, nd, in_set, ou_set, ex_set, in_valid, ou_valid, ex_valid, do_timeout, tv, rval)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int nd;
	fd_set *in_set;
	fd_set *ou_set;
	fd_set *ex_set;
	boolean_t in_valid;
	boolean_t ou_valid;
	boolean_t ex_valid;
	boolean_t do_timeout;
	timeval_t tv;
	int *rval;
{ return bsd_select(proc_port, interrupt, nd, in_set, ou_set, ex_set, in_valid, ou_valid, ex_valid, do_timeout, tv, rval); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int nd,
	fd_set *in_set,
	fd_set *ou_set,
	fd_set *ex_set,
	boolean_t in_valid,
	boolean_t ou_valid,
	boolean_t ex_valid,
	boolean_t do_timeout,
	timeval_t tv,
	int *rval
);
#endif

/* Routine bsd_task_by_pid */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_task_by_pid
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, pid, task)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int pid;
	task_t *task;
{ return bsd_task_by_pid(proc_port, interrupt, pid, task); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int pid,
	task_t *task
);
#endif

/* Routine bsd_recvfrom_short */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_recvfrom_short
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno, flags, len, from_addr, from_addrCnt, data, dataCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
	int flags;
	int len;
	sockarg_t from_addr;
	mach_msg_type_number_t *from_addrCnt;
	small_char_array data;
	mach_msg_type_number_t *dataCnt;
{ return bsd_recvfrom_short(proc_port, interrupt, fileno, flags, len, from_addr, from_addrCnt, data, dataCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno,
	int flags,
	int len,
	sockarg_t from_addr,
	mach_msg_type_number_t *from_addrCnt,
	small_char_array data,
	mach_msg_type_number_t *dataCnt
);
#endif

/* Routine bsd_recvfrom_long */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_recvfrom_long
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno, flags, len, from_addr, from_addrCnt, data, dataCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
	int flags;
	int len;
	sockarg_t from_addr;
	mach_msg_type_number_t *from_addrCnt;
	char_array *data;
	mach_msg_type_number_t *dataCnt;
{ return bsd_recvfrom_long(proc_port, interrupt, fileno, flags, len, from_addr, from_addrCnt, data, dataCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno,
	int flags,
	int len,
	sockarg_t from_addr,
	mach_msg_type_number_t *from_addrCnt,
	char_array *data,
	mach_msg_type_number_t *dataCnt
);
#endif

/* Routine bsd_setgroups */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_setgroups
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, gidsetsize, gidset)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int gidsetsize;
	gidset_t gidset;
{ return bsd_setgroups(proc_port, interrupt, gidsetsize, gidset); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int gidsetsize,
	gidset_t gidset
);
#endif

/* Routine bsd_setrlimit */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_setrlimit
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, which, lim)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int which;
	rlimit_t lim;
{ return bsd_setrlimit(proc_port, interrupt, which, lim); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int which,
	rlimit_t lim
);
#endif

/* Routine bsd_sigvec */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_sigvec
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, signo, have_nsv, nsv, osv, tramp)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int signo;
	boolean_t have_nsv;
	sigvec_t nsv;
	sigvec_t *osv;
	vm_offset_t tramp;
{ return bsd_sigvec(proc_port, interrupt, signo, have_nsv, nsv, osv, tramp); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int signo,
	boolean_t have_nsv,
	sigvec_t nsv,
	sigvec_t *osv,
	vm_offset_t tramp
);
#endif

/* Routine bsd_sigstack */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_sigstack
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, have_nss, nss, oss)
	mach_port_t proc_port;
	boolean_t *interrupt;
	boolean_t have_nss;
	sigstack_t nss;
	sigstack_t *oss;
{ return bsd_sigstack(proc_port, interrupt, have_nss, nss, oss); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	boolean_t have_nss,
	sigstack_t nss,
	sigstack_t *oss
);
#endif

/* Routine bsd_settimeofday */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_settimeofday
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, have_tv, tv, have_tz, tz)
	mach_port_t proc_port;
	boolean_t *interrupt;
	boolean_t have_tv;
	timeval_t tv;
	boolean_t have_tz;
	timezone_t tz;
{ return bsd_settimeofday(proc_port, interrupt, have_tv, tv, have_tz, tz); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	boolean_t have_tv,
	timeval_t tv,
	boolean_t have_tz,
	timezone_t tz
);
#endif

/* Routine bsd_adjtime */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_adjtime
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, delta, olddelta)
	mach_port_t proc_port;
	boolean_t *interrupt;
	timeval_t delta;
	timeval_t *olddelta;
{ return bsd_adjtime(proc_port, interrupt, delta, olddelta); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	timeval_t delta,
	timeval_t *olddelta
);
#endif

/* Routine bsd_setitimer */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_setitimer
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, which, have_itv, itv, oitv)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int which;
	boolean_t have_itv;
	itimerval_t itv;
	itimerval_t *oitv;
{ return bsd_setitimer(proc_port, interrupt, which, have_itv, itv, oitv); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int which,
	boolean_t have_itv,
	itimerval_t itv,
	itimerval_t *oitv
);
#endif

/* Routine bsd_sethostname */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_sethostname
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, hostname, len)
	mach_port_t proc_port;
	boolean_t *interrupt;
	hostname_t hostname;
	int len;
{ return bsd_sethostname(proc_port, interrupt, hostname, len); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	hostname_t hostname,
	int len
);
#endif

/* Routine bsd_bind */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_bind
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, name, nameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	sockarg_t name;
	mach_msg_type_number_t nameCnt;
{ return bsd_bind(proc_port, interrupt, s, name, nameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	sockarg_t name,
	mach_msg_type_number_t nameCnt
);
#endif

/* Routine bsd_accept */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_accept
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, name, nameCnt, new_s)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	sockarg_t name;
	mach_msg_type_number_t *nameCnt;
	int *new_s;
{ return bsd_accept(proc_port, interrupt, s, name, nameCnt, new_s); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	sockarg_t name,
	mach_msg_type_number_t *nameCnt,
	int *new_s
);
#endif

/* Routine bsd_connect */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_connect
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, name, nameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	sockarg_t name;
	mach_msg_type_number_t nameCnt;
{ return bsd_connect(proc_port, interrupt, s, name, nameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	sockarg_t name,
	mach_msg_type_number_t nameCnt
);
#endif

/* Routine bsd_setsockopt */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_setsockopt
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, level, name, val, valCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	int level;
	int name;
	sockarg_t val;
	mach_msg_type_number_t valCnt;
{ return bsd_setsockopt(proc_port, interrupt, s, level, name, val, valCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	int level,
	int name,
	sockarg_t val,
	mach_msg_type_number_t valCnt
);
#endif

/* Routine bsd_getsockopt */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_getsockopt
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, level, name, val, valCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	int level;
	int name;
	sockarg_t val;
	mach_msg_type_number_t *valCnt;
{ return bsd_getsockopt(proc_port, interrupt, s, level, name, val, valCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	int level,
	int name,
	sockarg_t val,
	mach_msg_type_number_t *valCnt
);
#endif

/* Routine bsd_getsockname */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_getsockname
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, name, nameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	sockarg_t name;
	mach_msg_type_number_t *nameCnt;
{ return bsd_getsockname(proc_port, interrupt, s, name, nameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	sockarg_t name,
	mach_msg_type_number_t *nameCnt
);
#endif

/* Routine bsd_getpeername */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_getpeername
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, name, nameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	sockarg_t name;
	mach_msg_type_number_t *nameCnt;
{ return bsd_getpeername(proc_port, interrupt, s, name, nameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	sockarg_t name,
	mach_msg_type_number_t *nameCnt
);
#endif

/* Routine bsd_init_process */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_init_process
#if	defined(LINTLIBRARY)
    (proc_port, interrupt)
	mach_port_t proc_port;
	boolean_t *interrupt;
{ return bsd_init_process(proc_port, interrupt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt
);
#endif

/* Routine bsd_table_set */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_table_set
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, id, index, lel, nel, addr, addrCnt, nel_done)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int id;
	int index;
	int lel;
	int nel;
	small_char_array addr;
	mach_msg_type_number_t addrCnt;
	int *nel_done;
{ return bsd_table_set(proc_port, interrupt, id, index, lel, nel, addr, addrCnt, nel_done); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int id,
	int index,
	int lel,
	int nel,
	small_char_array addr,
	mach_msg_type_number_t addrCnt,
	int *nel_done
);
#endif

/* Routine bsd_table_get */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_table_get
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, id, index, lel, nel, addr, addrCnt, nel_done)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int id;
	int index;
	int lel;
	int nel;
	char_array *addr;
	mach_msg_type_number_t *addrCnt;
	int *nel_done;
{ return bsd_table_get(proc_port, interrupt, id, index, lel, nel, addr, addrCnt, nel_done); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int id,
	int index,
	int lel,
	int nel,
	char_array *addr,
	mach_msg_type_number_t *addrCnt,
	int *nel_done
);
#endif

/* Routine bsd_pioctl */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_pioctl
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, path, pathCnt, com, follow, in_data, in_dataCnt, out_data_wanted, out_data, out_dataCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	path_name_t path;
	mach_msg_type_number_t pathCnt;
	int com;
	boolean_t follow;
	small_char_array in_data;
	mach_msg_type_number_t in_dataCnt;
	int out_data_wanted;
	small_char_array out_data;
	mach_msg_type_number_t *out_dataCnt;
{ return bsd_pioctl(proc_port, interrupt, path, pathCnt, com, follow, in_data, in_dataCnt, out_data_wanted, out_data, out_dataCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	path_name_t path,
	mach_msg_type_number_t pathCnt,
	int com,
	boolean_t follow,
	small_char_array in_data,
	mach_msg_type_number_t in_dataCnt,
	int out_data_wanted,
	small_char_array out_data,
	mach_msg_type_number_t *out_dataCnt
);
#endif

/* Routine bsd_emulator_error */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_emulator_error
#if	defined(LINTLIBRARY)
    (proc_port, err_message, err_messageCnt)
	mach_port_t proc_port;
	small_char_array err_message;
	mach_msg_type_number_t err_messageCnt;
{ return bsd_emulator_error(proc_port, err_message, err_messageCnt); }
#else
(
	mach_port_t proc_port,
	small_char_array err_message,
	mach_msg_type_number_t err_messageCnt
);
#endif

/* Routine bsd_readwrite */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_readwrite
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, which, fileno, size, amount)
	mach_port_t proc_port;
	boolean_t *interrupt;
	boolean_t which;
	int fileno;
	int size;
	int *amount;
{ return bsd_readwrite(proc_port, interrupt, which, fileno, size, amount); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	boolean_t which,
	int fileno,
	int size,
	int *amount
);
#endif

/* Routine bsd_share_wakeup */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_share_wakeup
#if	defined(LINTLIBRARY)
    (proc_port, lock_offset)
	mach_port_t proc_port;
	int lock_offset;
{ return bsd_share_wakeup(proc_port, lock_offset); }
#else
(
	mach_port_t proc_port,
	int lock_offset
);
#endif

/* Routine bsd_maprw_request_it */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_maprw_request_it
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
{ return bsd_maprw_request_it(proc_port, interrupt, fileno); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno
);
#endif

/* Routine bsd_maprw_release_it */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_maprw_release_it
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
{ return bsd_maprw_release_it(proc_port, interrupt, fileno); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno
);
#endif

/* Routine bsd_maprw_remap */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_maprw_remap
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fileno, offset, size)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fileno;
	int offset;
	int size;
{ return bsd_maprw_remap(proc_port, interrupt, fileno, offset, size); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fileno,
	int offset,
	int size
);
#endif

/* Routine bsd_pid_by_task */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_pid_by_task
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, task, pid, command, commandCnt, rval)
	mach_port_t proc_port;
	boolean_t *interrupt;
	mach_port_t task;
	int *pid;
	path_name_t command;
	mach_msg_type_number_t *commandCnt;
	int *rval;
{ return bsd_pid_by_task(proc_port, interrupt, task, pid, command, commandCnt, rval); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	mach_port_t task,
	int *pid,
	path_name_t command,
	mach_msg_type_number_t *commandCnt,
	int *rval
);
#endif

/* Routine bsd_map_fd */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_map_fd
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, fd, offset, start, findspace, size, n_start)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int fd;
	vm_offset_t offset;
	vm_offset_t start;
	boolean_t findspace;
	int size;
	vm_offset_t *n_start;
{ return bsd_map_fd(proc_port, interrupt, fd, offset, start, findspace, size, n_start); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int fd,
	vm_offset_t offset,
	vm_offset_t start,
	boolean_t findspace,
	int size,
	vm_offset_t *n_start
);
#endif

/* Routine bsd_mon_switch */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_mon_switch
#if	defined(LINTLIBRARY)
    (proc_port, onoff)
	mach_port_t proc_port;
	int *onoff;
{ return bsd_mon_switch(proc_port, onoff); }
#else
(
	mach_port_t proc_port,
	int *onoff
);
#endif

/* Routine bsd_mon_dump */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t bsd_mon_dump
#if	defined(LINTLIBRARY)
    (proc_port, mon_data, mon_dataCnt)
	mach_port_t proc_port;
	char_array *mon_data;
	mach_msg_type_number_t *mon_dataCnt;
{ return bsd_mon_dump(proc_port, mon_data, mon_dataCnt); }
#else
(
	mach_port_t proc_port,
	char_array *mon_data,
	mach_msg_type_number_t *mon_dataCnt
);
#endif

#endif	/* not defined(_bsd_1_user_) */
