#ifndef	_proxy_socket_user_
#define	_proxy_socket_user_

/* Module proxy_socket */

#include <mach/kern_return.h>
#include <mach/port.h>
#include <mach/message.h>

#include <mach/std_types.h>
#include <mach/mach_types.h>
#include <uxkern/bsd_types.h>

/* Routine proxy_network_device_port */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_network_device_port
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, address, addressCnt, device_address, device_addressCnt, device_port)
	mach_port_t proc_port;
	boolean_t *interrupt;
	sockarg_t address;
	mach_msg_type_number_t addressCnt;
	sockarg_t device_address;
	mach_msg_type_number_t *device_addressCnt;
	mach_port_t *device_port;
{ return proxy_network_device_port(proc_port, interrupt, address, addressCnt, device_address, device_addressCnt, device_port); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	sockarg_t address,
	mach_msg_type_number_t addressCnt,
	sockarg_t device_address,
	mach_msg_type_number_t *device_addressCnt,
	mach_port_t *device_port
);
#endif

/* Routine proxy_arp_resolve */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_arp_resolve
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, network_iface, in_address, in_addressCnt, mac_address, mac_addressCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	mach_port_t network_iface;
	sockarg_t in_address;
	mach_msg_type_number_t in_addressCnt;
	sockarg_t mac_address;
	mach_msg_type_number_t *mac_addressCnt;
{ return proxy_arp_resolve(proc_port, interrupt, network_iface, in_address, in_addressCnt, mac_address, mac_addressCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	mach_port_t network_iface,
	sockarg_t in_address,
	mach_msg_type_number_t in_addressCnt,
	sockarg_t mac_address,
	mach_msg_type_number_t *mac_addressCnt
);
#endif

/* Routine proxy_routequery */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_routequery
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, destination, destinationCnt, interface, is_gateway, next_hop, next_hopCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	sockarg_t destination;
	mach_msg_type_number_t destinationCnt;
	mach_port_t *interface;
	boolean_t *is_gateway;
	sockarg_t next_hop;
	mach_msg_type_number_t *next_hopCnt;
{ return proxy_routequery(proc_port, interrupt, destination, destinationCnt, interface, is_gateway, next_hop, next_hopCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	sockarg_t destination,
	mach_msg_type_number_t destinationCnt,
	mach_port_t *interface,
	boolean_t *is_gateway,
	sockarg_t next_hop,
	mach_msg_type_number_t *next_hopCnt
);
#endif

/* Routine proxy_socket */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_socket
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, socket, domain, socktype, proto, ctl_port)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int *socket;
	int domain;
	int socktype;
	int proto;
	mach_port_t ctl_port;
{ return proxy_socket(proc_port, interrupt, socket, domain, socktype, proto, ctl_port); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int *socket,
	int domain,
	int socktype,
	int proto,
	mach_port_t ctl_port
);
#endif

/* Routine proxy_bind */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_bind
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, name, nameCnt, outname, outnameCnt, filter_port)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	sockarg_t name;
	mach_msg_type_number_t nameCnt;
	sockarg_t outname;
	mach_msg_type_number_t *outnameCnt;
	mach_port_t *filter_port;
{ return proxy_bind(proc_port, interrupt, s, name, nameCnt, outname, outnameCnt, filter_port); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	sockarg_t name,
	mach_msg_type_number_t nameCnt,
	sockarg_t outname,
	mach_msg_type_number_t *outnameCnt,
	mach_port_t *filter_port
);
#endif

/* Routine proxy_connect */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_connect
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, name, nameCnt, outname, outnameCnt, filter_port)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	sockarg_t name;
	mach_msg_type_number_t nameCnt;
	sockarg_t outname;
	mach_msg_type_number_t *outnameCnt;
	mach_port_t *filter_port;
{ return proxy_connect(proc_port, interrupt, s, name, nameCnt, outname, outnameCnt, filter_port); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	sockarg_t name,
	mach_msg_type_number_t nameCnt,
	sockarg_t outname,
	mach_msg_type_number_t *outnameCnt,
	mach_port_t *filter_port
);
#endif

/* Routine proxy_listen */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_listen
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, backlog, name, nameCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	int backlog;
	sockarg_t name;
	mach_msg_type_number_t *nameCnt;
{ return proxy_listen(proc_port, interrupt, s, backlog, name, nameCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	int backlog,
	sockarg_t name,
	mach_msg_type_number_t *nameCnt
);
#endif

/* Routine proxy_accept */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_accept
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, new_s, outlname, outlnameCnt, outfname, outfnameCnt, filter_port, session_state, session_stateCnt, send_queue, send_queueCnt, recv_queue, recv_queueCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	int *new_s;
	sockarg_t outlname;
	mach_msg_type_number_t *outlnameCnt;
	sockarg_t outfname;
	mach_msg_type_number_t *outfnameCnt;
	mach_port_t *filter_port;
	sockarg_t session_state;
	mach_msg_type_number_t *session_stateCnt;
	char_array *send_queue;
	mach_msg_type_number_t *send_queueCnt;
	char_array *recv_queue;
	mach_msg_type_number_t *recv_queueCnt;
{ return proxy_accept(proc_port, interrupt, s, new_s, outlname, outlnameCnt, outfname, outfnameCnt, filter_port, session_state, session_stateCnt, send_queue, send_queueCnt, recv_queue, recv_queueCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	int *new_s,
	sockarg_t outlname,
	mach_msg_type_number_t *outlnameCnt,
	sockarg_t outfname,
	mach_msg_type_number_t *outfnameCnt,
	mach_port_t *filter_port,
	sockarg_t session_state,
	mach_msg_type_number_t *session_stateCnt,
	char_array *send_queue,
	mach_msg_type_number_t *send_queueCnt,
	char_array *recv_queue,
	mach_msg_type_number_t *recv_queueCnt
);
#endif

/* Routine proxy_return */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_return
#if	defined(LINTLIBRARY)
    (proc_port, interrupt, s, filter_port, session_state, session_stateCnt, send_queue, send_queueCnt, recv_queue, recv_queueCnt)
	mach_port_t proc_port;
	boolean_t *interrupt;
	int s;
	mach_port_t filter_port;
	sockarg_t session_state;
	mach_msg_type_number_t session_stateCnt;
	char_array send_queue;
	mach_msg_type_number_t send_queueCnt;
	char_array recv_queue;
	mach_msg_type_number_t recv_queueCnt;
{ return proxy_return(proc_port, interrupt, s, filter_port, session_state, session_stateCnt, send_queue, send_queueCnt, recv_queue, recv_queueCnt); }
#else
(
	mach_port_t proc_port,
	boolean_t *interrupt,
	int s,
	mach_port_t filter_port,
	sockarg_t session_state,
	mach_msg_type_number_t session_stateCnt,
	char_array send_queue,
	mach_msg_type_number_t send_queueCnt,
	char_array recv_queue,
	mach_msg_type_number_t recv_queueCnt
);
#endif

/* Routine proxy_soreadable */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_soreadable
#if	defined(LINTLIBRARY)
    (proc_port, fd)
	mach_port_t proc_port;
	int fd;
{ return proxy_soreadable(proc_port, fd); }
#else
(
	mach_port_t proc_port,
	int fd
);
#endif

/* Routine proxy_sowritable */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_sowritable
#if	defined(LINTLIBRARY)
    (proc_port, fd)
	mach_port_t proc_port;
	int fd;
{ return proxy_sowritable(proc_port, fd); }
#else
(
	mach_port_t proc_port,
	int fd
);
#endif

/* Routine proxy_soexceptional */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_soexceptional
#if	defined(LINTLIBRARY)
    (proc_port, fd)
	mach_port_t proc_port;
	int fd;
{ return proxy_soexceptional(proc_port, fd); }
#else
(
	mach_port_t proc_port,
	int fd
);
#endif

/* Routine proxy_sounreadable */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_sounreadable
#if	defined(LINTLIBRARY)
    (proc_port, fd)
	mach_port_t proc_port;
	int fd;
{ return proxy_sounreadable(proc_port, fd); }
#else
(
	mach_port_t proc_port,
	int fd
);
#endif

/* Routine proxy_sounwritable */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_sounwritable
#if	defined(LINTLIBRARY)
    (proc_port, fd)
	mach_port_t proc_port;
	int fd;
{ return proxy_sounwritable(proc_port, fd); }
#else
(
	mach_port_t proc_port,
	int fd
);
#endif

/* Routine proxy_sounexceptional */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_sounexceptional
#if	defined(LINTLIBRARY)
    (proc_port, fd)
	mach_port_t proc_port;
	int fd;
{ return proxy_sounexceptional(proc_port, fd); }
#else
(
	mach_port_t proc_port,
	int fd
);
#endif

/* Routine proxy_set_filter_type */
#ifdef	mig_external
mig_external
#else
extern
#endif
kern_return_t proxy_set_filter_type
#if	defined(LINTLIBRARY)
    (proc_port, newtype)
	mach_port_t proc_port;
	int newtype;
{ return proxy_set_filter_type(proc_port, newtype); }
#else
(
	mach_port_t proc_port,
	int newtype
);
#endif

#endif	/* not defined(_proxy_socket_user_) */
