/* 
 * Mach Operating System
 * Copyright (c) 1992 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */
/*
 * HISTORY
 * $Log:	proxy_udp.h,v $
 * Revision 2.2  93/08/07  17:04:17  mrt
 * 	Created.
 * 	[93/06/12            cmaeda]
 * 
 */
/*
 * Proxy sockets have the following state which is kept
 * in the inp_ppcb field of the socket inpcb struct.
 */

/*
 * XXX This is just for udp at the moment.  Proxy tcp
 * sockets have their own incompatible pcb type.  XXX
 */

struct net_proxy_pcb {
	mach_port_t	np_control_port; 	/* send control message here */
	mach_port_t	np_network_port; 	/* network device port */
	mach_port_t	np_pfilter_port;	/* packet filter port */
	u_long		np_state;
};
typedef struct net_proxy_pcb net_proxy_pcb_t;

/*
 * Values for np_state.
 */
#define NPS_LOCAL	0x0001	/* just like a normal udp conn */
#define NPS_REMOTE	0x0002	/* handled in peer task, pcb is invalid */
#define NPS_DIDFORK	0x0004	/* has forked, no more remote */

#define intoudpcb(ip) ((net_proxy_pcb_t *)(ip)->inp_ppcb)
